BANK WOORI SAUDARA - Bug #1936

[HR-Recruitment Management] Applicant Master Data - Personal Statement
01/17/2023 04:47 PM - Johanes Christian Kurni

Status: Closed Start date: 01/17/2023
Priority: High Due date:

Assignee: Johanes Christian Kurni % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 6.50 hours
Description

Dear Azid,

1. Jika field "Memiliki Kenalan" dipilih "Ya" maka field "Kategori Keluarga / Teman" wajib diisi. Sebaliknya juga begitu jika pilih "Tidak"
maka tidak wajib diisi.

2. Jika filed "Pernah Mederita Sakit" dipilih "Ya" maka field "Sakit Apa" wajib diisi. Sebaliknya juga begitu jika pilih "Tidak" maka tidak
wajib diisi.

3. Jika field "Bersedia Ditempatkan Diseluruh Kantor BWS" dipilih "Tidak" maka field "Dimana Bila Tidak Bersedia" wajib diisi.
Sebaliknya juga begitu jika pilih "Ya" maka tidak wajib diisi.

Port: http://remote.minovais.com:31128/

Server: remote.minovais.com, 1438\MSSQLSERVER2012

DB: MinovaES_BWS_DevProd

Menu: HR > Employee Recruitment Management > Applicant Master Data > Personal Statement

Referensi dari redmain : http://remote.minovais.com:3000/redmine/issues/1865
Terima Kasih.

History

#1 - 01/17/2023 05:24 PM - Johanes Christian Kurni
- Description updated

#2 - 01/30/2023 11:52 AM - M Azid Wahyudi
- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni

dear jo , untuk ini codingan udah di tambahin tapi setting belom di rapihkan , tolong rapihkan
dan berikan contoh data

makasih

#3 - 01/30/2023 11:56 AM - M Azid Wahyudi
- File clipboard-202301301156-ahzmx.png added
~
Azid M
~

Applicant Master Data

Home » Applicant Master Data
ence

3000005 - Error String or binary data would be truncated. The statement has been terminated. Query: INSERT INTO PHRRCO052 {
StartDate,EndDate Hobbies,TinggiBadan, BeratBadan, RumahTempatTinggal Apakahhemilikikenalan,NamakKeluarga, EmployeelD SakitApa,AlasanBergabung, DimanaBilaTidakBersedia, Notes CreateBy,CreateDate, ChangeBy, ChangeDate ) VALUES (

ation @startDate, @EndDate, @Hobbies,@Tingg Badan, @BeratBadan, @RUMahTempatTinggal @Apakahhemilikikenalan, @NamaKelusrga @Employesl D, @Sakitaps, @AlasanBergabung @DimanaBilaTidskBersedia @Notes, @CreateBy,@CreateDate @Change By, @ChangeDate )
don Mana...
entManag.. Applicant Master Data - 00000087 - Azid
ant Move...

Applicant ID: 00000087 Company ID: PT Bank Woori Saudara Indonesia 1906
ant Maste... Tok

Full Name: Azid o
‘uitment Organization:

Applicant Status: In Process
itment Re... Job:

Applicant Type: Fresh Graduate
+ Administ...
\agement .

Master Data 4 Add - Personal Statement - 00000087 - Azid
inagement
dministrat... File pata Start Date: 30/01/2023 pernah Mengikuti
Seleksi:
- Applicant Profile
1 trati... :
ministrati. End Date: 30/01/2023 Pernah Menderita
counting Hasil Interview ‘ Sakit:
Hobbies: caas .
Slik Checking Sakit Apa:

ration Hasil Psikotest Tinggi Badan: 172

Alasan Bergabung:

Medical Test Berat Badan:
80 Bersedia
Data Kelengkapa... R T " Ditempatkan
umah Tempa i
Tl p Rumah Pribadi Diseluruh Kantor
Data Paket Remu... ggal: BWS:

Personal Stateme.. Apakah Memiliki Dimana Bila Tidak
Kenalan: Bersedia:

Kategori Keluarga /
Teman:

Notes:

NamakKeluarga

#4 - 01/30/2023 11:57 AM - M Azid Wahyudi

samain yang versi 3 ya settingan untuk kebutuhan ini seinget gw ada beberapa settingan yg di rapihin

#5 - 02/02/2023 03:17 PM - Johanes Christian Kurni

- Assignee changed from Johanes Christian Kurni to M Azid Wahyudi

Untuk settingan nya sudah bisa tetapi validasinya belum jalan, tolong untuk disesuaikan dengan deskripsi diatas.
Terima kasih

#6 - 02/07/2023 01:50 PM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni

dear johanes ,, udah bisa di test ya di versi 2 untuk penambahan validasi di modul recruitment

package :

update Ul controller : C:\ClientApp\2208 Bank Woori Saudara\UIVersi2\app\controller\recruitment\CtrIRecruitment.js
makasih

#7 - 03/24/2023 09:12 AM - Johanes Christian Kurni

- Status changed from QA Test to Revise

- Assignee changed from Johanes Christian Kurni to M Azid Wahyudi

Azid, ada penambahan sebagai berikut

1. Field "Apakah Memiliki Kenalan" Di pilih "Tidak" maka kategori "Nama Keluarga" Tidak tidak perlu di isi
2. Field "Bersedia Ditempatkan Diseluruh Kantor BWS" dipilih "Ya" maka field "Dimana Bila Tidak Bersedia" tidak perlu diisi

Terima Kasih.

#8 - 03/24/2023 03:07 PM - M Azid Wahyudi
- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni
dear jo , itu settingan nya gausah di mandatory

makasih

#9 - 03/27/2023 01:34 PM - Johanes Christian Kurni
- Status changed from QA Test to Closed
